/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */


import '@stencil/core';




export namespace Components {

  interface BaseComponent {
    /**
    * The first name
    */
    'first': string;
    /**
    * The last name
    */
    'last': string;
    /**
    * The middle name
    */
    'middle': string;
  }
  interface BaseComponentAttributes extends StencilHTMLAttributes {
    /**
    * The first name
    */
    'first'?: string;
    /**
    * The last name
    */
    'last'?: string;
    /**
    * The middle name
    */
    'middle'?: string;
  }

  interface NuiverseButton {
    'background': string;
    'class': string;
    'radius': string;
    'text': string;
    'textColor': string;
    'to': string;
  }
  interface NuiverseButtonAttributes extends StencilHTMLAttributes {
    'background'?: string;
    'class'?: string;
    'radius'?: string;
    'text'?: string;
    'textColor'?: string;
    'to'?: string;
  }
}

declare global {
  interface StencilElementInterfaces {
    'BaseComponent': Components.BaseComponent;
    'NuiverseButton': Components.NuiverseButton;
  }

  interface StencilIntrinsicElements {
    'base-component': Components.BaseComponentAttributes;
    'nuiverse-button': Components.NuiverseButtonAttributes;
  }


  interface HTMLBaseComponentElement extends Components.BaseComponent, HTMLStencilElement {}
  var HTMLBaseComponentElement: {
    prototype: HTMLBaseComponentElement;
    new (): HTMLBaseComponentElement;
  };

  interface HTMLNuiverseButtonElement extends Components.NuiverseButton, HTMLStencilElement {}
  var HTMLNuiverseButtonElement: {
    prototype: HTMLNuiverseButtonElement;
    new (): HTMLNuiverseButtonElement;
  };

  interface HTMLElementTagNameMap {
    'base-component': HTMLBaseComponentElement
    'nuiverse-button': HTMLNuiverseButtonElement
  }

  interface ElementTagNameMap {
    'base-component': HTMLBaseComponentElement;
    'nuiverse-button': HTMLNuiverseButtonElement;
  }


  export namespace JSX {
    export interface Element {}
    export interface IntrinsicElements extends StencilIntrinsicElements {
      [tagName: string]: any;
    }
  }
  export interface HTMLAttributes extends StencilHTMLAttributes {}

}
